<?php

namespace loyalsoft;

require_once __DIR__ . '/FightProc/SweepGatesProc.php';
require_once __DIR__ . '/FightProc/PVPProc.php';

/**
 * 战斗业务逻辑分发
 * @author gwang
 */
class FightProc {

    /**
     * 战斗逻辑分发
     * 所有的Proc中必须有这样一个方法
     * @param Req $req
     */
    static function procMain($req) {
        switch ($req->cmd) {
            # 关卡-征战
            case CmdCode::cmd_fight_arenasfight:                                # 6801 挑战关卡
                return SweepGatesProc::Arenas_Fight($req);
            case CmdCode::cmd_fight_arenassweep:                                # [6802] 扫荡
                return Resp::err(ErrCode::function_notopen_msg);                # 暂未开放扫荡功能. -gwang 2020.4.20
                return SweepGatesProc::Arenas_NewSweepFight($req);

            # 玩家-挑战    
            case CmdCode::cmd_fight_GetChallengeAdversaryInfo:                  # 6803 获取挑战对手的信息
                return PVPProc::GetChallengeAdversaryInfo($req);
            case CmdCode::cmd_fight_LogChallengeResult:                         # 6804 记录挑战结果
                return PVPProc::LogChallengeInfo($req);
            case CmdCode::cmd_fight_GetChallengeLog:                            # 6805 拉取挑战记录
                return PVPProc::GetChagllengeLog($req);
// <editor-fold defaultstate="collapsed" desc=" PVP 模块 ">
//            case CmdCode::cmd_fight_pvp_maininfo:                               # [6810] pvp 主界面拉取信息
//                return PVPProc::pvpMainInfo($req);
//            case CmdCode::cmd_fight_pvp_pk:                                     # [6811] pvp 挑战对手
//                return PVPProc::pvp_PK($req);
//            case CmdCode::cmd_fight_pvp_refresh:                                # [6812] pvp 刷新对手
//                return PVPProc::pvp_Refresh($req);
//            case CmdCode::cmd_fight_pvp_chargetili:                             # [6813] pvp 补充体力
//                return PVPProc::pvp_buytili($req);
////                return PVPProc::pvp_recharegetili($req);
//            case CmdCode::cmd_fight_pvp_getrank:                                # [6814] pvp 拉取前100名,排行榜
//                return PVPProc::pvp_getRank($req);
//            case CmdCode::cmd_fight_pvp_drawactivereward:                       # [6815] pvp 领取活跃度奖励
//                return PVPProc::pvp_drawacitverewards($req);
//            case CmdCode::fight_pvp_getChanlianInfo:                            # [6819] pvp 拉取蝉联信息
//                return PVPProc::getChanlianINfo($req);
// </editor-fold>

            default:
                return Resp::err(ErrCode::cmd_err);
        }
    }

    /**
     * @param Req $req
     */
    static function ClearByDay($req) {
        SweepGatesProc::ClearGateTimes($req);                                   # 清理每个难度副本的每日战斗次数 
    }

}
